### Method

# FwupdPlugin Firmware write_file

#### Declaration [src]

    gboolean
    fu_firmware_write_file (
      FuFirmware* self,
      GFile* file,
      GError** error
    )

#### Description [src]

Writes a firmware, typically packing the images into a binary blob.

Available since: | 1.3.3

#### Parameters

`file` | `GFile`
| A file.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.